### Method

# Gtk TextBufferget_selection_bound

#### Declaration [src]

    GtkTextMark*
    gtk_text_buffer_get_selection_bound (
      GtkTextBuffer* buffer
    )

#### Description [src]

Returns the mark that represents the selection bound.

Equivalent to calling `gtk_text_buffer_get_mark()` to get the mark named “selection_bound”, but very slightly more efficient, and involves less typing.

The currently-selected text in `buffer` is the region between the “selection_bound” and “insert” marks. If “selection_bound” and “insert” are in the same place, then there is no current selection. `gtk_text_buffer_get_selection_bounds()` is another convenient function for handling the selection, if you just want to know whether there’s a selection and what its bounds are.

#### Return value

Type: `GtkTextMark`

Selection bound mark.

The data is owned by the instance.